Bug 827819 - Review Request: summain - File manifest generator
Review Request: summain - File manifest generator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On: 827803 827804
Blocks: 827810
  Show dependency treegraph
 
Reported: 2012-06-03 03:33 EDT by Michel Alexandre Salim
Modified: 2012-10-18 13:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 11:03:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2012-06-03 03:33:56 EDT
Spec URL: http://salimma.fedorapeople.org/specs/admin/summain.spec
SRPM URL: http://salimma.fedorapeople.org/specs/admin/summain-0.13-1.fc17.src.rpm
Description:
Summain generates file manifests, which contain metadata about the
files, and a checksum of their content for regular files. The manifest
can be generated for a directory tree at different points in time and
compared (with diff) to see if something has changed.

Fedora Account System Username: salimma
Comment 1 Peter Lemenkov 2012-06-06 06:22:07 EDT
I'll review it.
Comment 2 Peter Lemenkov 2012-06-06 06:31:27 EDT
Koji scratchbuild for Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4132081

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

work ~: rpmlint Desktop/summain-*
summain.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
summain.src: W: spelling-error %description -l en_US checksum -> check sum, check-sum, checks um
summain.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
summain.x86_64: W: spelling-error %description -l en_US checksum -> check sum, check-sum, checks um
3 packages and 0 specfiles checked; 0 errors, 4 warnings.
work ~: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv3 or later, as stated in the source code).
0 No licensing info provided in the tarball.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum summain_0.13.orig.tar.gz*
1924a1862b9d76e71572398a60c1b30f898317fa176ac59305e41d1173883b89  summain_0.13.orig.tar.gz
1924a1862b9d76e71572398a60c1b30f898317fa176ac59305e41d1173883b89  summain_0.13.orig.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 


+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

APPROVED.
Comment 3 Michel Alexandre Salim 2012-06-07 00:28:55 EDT
Many thanks ! Will try and get through more of your Erlang review TODO list today

New Package SCM Request
=======================
Package Name: summain
Short Description: File manifest generator
Owners: salimma
Branches: f16 f17
InitialCC:
Comment 4 Gwyn Ciesla 2012-06-07 08:24:04 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-06-07 15:06:30 EDT
summain-0.13-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/summain-0.13-1.fc17
Comment 6 Fedora Update System 2012-06-07 15:06:42 EDT
summain-0.13-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/summain-0.13-1.fc16
Comment 7 Fedora Update System 2012-06-08 20:00:25 EDT
summain-0.13-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 8 Fedora Update System 2012-06-19 11:03:57 EDT
summain-0.13-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-06-19 11:04:52 EDT
summain-0.13-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Michel Alexandre Salim 2012-10-18 13:26:53 EDT
Package Change Request
======================
Package Name: summain
New Branches: el6
Owners: salimma
Comment 11 Gwyn Ciesla 2012-10-18 13:59:59 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.